/**
 * @file test_data.h
 * @author Dimitri Podborski
 * @brief Sample bitstream data for testing
 * @version 0.1
 * @date 2020-11-20
 *
 * @copyright This software module was originally developed by Apple Computer, Inc. in the course of
 * development of MPEG-4. This software module is an implementation of a part of one or more MPEG-4
 * tools as specified by MPEG-4. ISO/IEC gives users of MPEG-4 free license to this software module
 * or modifications thereof for use in hardware or software products claiming conformance to MPEG-4.
 * Those intending to use this software module in hardware or software products are advised that its
 * use may infringe existing patents. The original developer of this software module and his/her
 * company, the subsequent editors and their companies, and ISO/IEC have no liability for use of
 * this software module or modifications thereof in an implementation. Copyright is not released for
 * non MPEG-4 conforming products. Apple Computer, Inc. retains full right to use the code for its
 * own purpose, assign or donate the code to a third party and to inhibit third parties from using
 * the code for non MPEG-4 conforming products. This copyright notice must be included in all copies
 * or derivative works. Copyright (c) 1999.
 *
 */
#pragma once
#include <MP4OSMacros.h>

const u32 TIMESCALE = 30000;
const u32 FPS       = 30;

namespace HEVC
{
const u8 VPS[] = {0x40, 0x01, 0x0C, 0x01, 0xFF, 0xFF, 0x04, 0x08, 0x00, 0x00, 0x03, 0x00,
                  0x9F, 0xA8, 0x00, 0x00, 0x03, 0x00, 0x00, 0x1E, 0xBA, 0x02, 0x40};

const u8 SPS[] = {0x42, 0x01, 0x01, 0x04, 0x08, 0x00, 0x00, 0x03, 0x00, 0x9F, 0xA8, 0x00, 0x00,
                  0x03, 0x00, 0x00, 0x1E, 0xA0, 0x20, 0x83, 0x16, 0x5B, 0xAB, 0x93, 0x2B, 0x9A,
                  0x02, 0x00, 0x00, 0x03, 0x00, 0x02, 0x00, 0x00, 0x03, 0x00, 0x32, 0x10};

const u8 PPS[] = {0x44, 0x01, 0xC1, 0x73, 0xC0, 0x89};

const u8 auRed[] = {0x28, 0x01, 0xAF, 0x78, 0xF7, 0x04, 0x03, 0xFF, 0xDB, 0xA3, 0xFF,
                    0xED, 0x27, 0xD2, 0xF6, 0xC3, 0x94, 0x40, 0x83, 0xC0, 0x00, 0x78};

const u8 auBlue[] = {0x28, 0x01, 0xAF, 0x0A, 0xE0, 0x3F, 0x9C, 0x43, 0xFF, 0xFA, 0x87, 0x32, 0xAF,
                     0xFC, 0x5D, 0xFF, 0xFF, 0xAE, 0x1D, 0xB9, 0xA2, 0xB4, 0xBC, 0x6D, 0x84, 0x5F};

const u8 auGreen[] = {0x28, 0x01, 0xAF, 0x0A, 0xE0, 0x3F, 0x9C, 0x43, 0xFF, 0xF5, 0x9F, 0x1F, 0xFF,
                      0xD8, 0x3B, 0xFF, 0xFD, 0xF0, 0xF5, 0xB9, 0xA2, 0xB4, 0xBC, 0x6D, 0x84, 0x5F};

const u8 auYellow[] = {0x28, 0x01, 0xAF, 0x0A, 0xA0, 0x3F, 0x9C, 0x43, 0x3C,
                       0xFA, 0x51, 0x1D, 0xFF, 0xFC, 0x5D, 0xFE, 0xCB, 0xAE,
                       0x1D, 0xB9, 0xA2, 0xB4, 0xBC, 0x6D, 0x84, 0x5F};

const u8 auWhite[] = {0x28, 0x01, 0xAF, 0x0A, 0xE0, 0x3C, 0x64, 0x00, 0xE7, 0x9F,
                      0x6C, 0x07, 0x79, 0x0D, 0x1B, 0xFD, 0x7D, 0x7C, 0x87};

const u8 auBlack[] = {0x28, 0x01, 0xAF, 0x0A, 0xE0, 0x3C, 0x64, 0x00, 0xFF, 0xFF,
                      0x72, 0xCA, 0x19, 0x0D, 0x1B, 0xFD, 0x7D, 0x7C, 0x87};
} // namespace HEVC
